New version of JEP (0.9.7.1), please land on branches

RESOLVED FIXED

Status

RESOLVED FIXED
10 years ago
3 years ago

People

(Reporter: smichaud, Assigned: smichaud)

Tracking

({fixed1.9.0.12, verified1.9.1})

unspecified
All
Mac OS X
fixed1.9.0.12, verified1.9.1
Dependency tree / graph
Bug Flags:
blocking1.9.0.11 -
blocking1.9.0.12 +
wanted1.9.0.x +

Details

(URL)

Attachments

(1 attachment)

(Assignee)

Description

10 years ago
JEP 0.9.7.1 works around two crash bugs (bug 492492 and bug 492251)
and a hang bug (bug 491600).  Bug 492492 is currently the number one
Mac topcrasher in FF 3.5 Beta 4, and is a blocker.

I'd like to land JEP 0.9.7.1 on the 1.9.1 branch as soon as possible.

I'd also like to land it on the 1.9.0 branch, though this is less
urgent.

http://javaplugin.sourceforge.net/

Those who want to try the new version right away will need to install
it "over" the older versions currently bundled with Mozilla.org
browsers.  I recommend installing the new JEP to your
/Library/Internet Plug-Ins/ folder, then removing older copy(ies) of
the JEP from your Mozilla.org browser(s).  For more information see
the JEP Readme (http://javaplugin.sourceforge.net/Readme.html).
(Assignee)

Comment 1

10 years ago
Created attachment 378128 [details]
Change log for JEP 0.9.7.1
(Assignee)

Updated

10 years ago
Attachment #378128 - Flags: review?(joshmoz)

Updated

10 years ago
Attachment #378128 - Flags: review?(joshmoz) → review+

Comment 2

10 years ago
Comment on attachment 378128 [details]
Change log for JEP 0.9.7.1

Thanks!
(Assignee)

Updated

10 years ago
Attachment #378128 - Flags: approval1.9.1?
Attachment #378128 - Flags: approval1.9.1? → approval1.9.1+
(Assignee)

Updated

10 years ago
Attachment #378128 - Flags: approval1.9.0.12?
(Assignee)

Updated

10 years ago
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → FIXED

Updated

10 years ago
Keywords: fixed1.9.1
Steven: This landed last night, but I still see JEP Version 0.9.7 when I type about:plugins using Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1b5pre) Gecko/20090520 Shiretoko/3.5b5pre.

In the Plugins tabs of Addons it shows as JEP 0.9.7 MRJ Plugin Version 1.0-JEP-0.9.7.

I remember there was a bug a while back where the JEP did not always show the correct version in about:plugins, but usually when I have looked lately it does show the correct version.
(Assignee)

Comment 5

10 years ago
Marcia: Try renaming pluginreg.dat.
(Assignee)

Comment 6

10 years ago
I just downloaded today's Shiretoko nightly and it's fine -- it has JEP 0.9.7.1.
Verified fixed on the 1.9.1 branch using Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9.1b5pre) Gecko/20090520 Shiretoko/3.5b5pre. I used a new profile and it shows fine in both places. Will verify on Intel as well and then change the keyword.
Verified fixed using Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1b5pre) Gecko/20090520 Shiretoko/3.5b5pre. Adding verified keyword.
Keywords: fixed1.9.1 → verified1.9.1

Comment 9

10 years ago
What about landing it also for the 1.9.0-branch and Firefox 3.0.11 (or at least for Firefox 3.0.12, if its really too late concerning the timeframe for 3.0.11)?
Flags: blocking1.9.0.12?
Flags: blocking1.9.0.11?
(Assignee)

Comment 10

10 years ago
It's too late for FF 3.0.11.

I'm hoping for FF 3.0.12, and have already asked for approval1.9.0.12.
As Steven said, this is too late for 3.0.11. We'll consider it for 3.0.12, even more so given bug 494246.
Flags: blocking1.9.0.11? → blocking1.9.0.11-
Flags: wanted1.9.0.x+
Flags: blocking1.9.0.12?
Flags: blocking1.9.0.12+
Comment on attachment 378128 [details]
Change log for JEP 0.9.7.1

Approved for 1.9.0.12, a=dveditz for release-drivers
Attachment #378128 - Flags: approval1.9.0.12? → approval1.9.0.12+
(Assignee)

Comment 13

10 years ago
Landed on the 1.9.0 branch:

Checking in JavaEmbeddingPlugin.bundle/Contents/Info.plist;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Info.plist,v  <--  Info.plist
new revision: 1.20; previous revision: 1.19
done
Checking in JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin,v  <--  JavaEmbeddingPlugin
new revision: 1.21; previous revision: 1.20
done
Checking in JavaEmbeddingPlugin.bundle/Contents/Resources/English.lproj/InfoPlist.strings;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Resources/English.lproj/InfoPlist.strings,v  <--  InfoPlist.strings
new revision: 1.20; previous revision: 1.19
done
Checking in JavaEmbeddingPlugin.bundle/Contents/Resources/Java/JavaEmbeddingPlugin.jar;
/cvsroot/mozilla/plugin/oji/JEP/JavaEmbeddingPlugin.bundle/Contents/Resources/Java/JavaEmbeddingPlugin.jar,v  <--  JavaEmbeddingPlugin.jar
new revision: 1.20; previous revision: 1.19
done
Checking in MRJPlugin.plugin/Contents/Info.plist;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Info.plist,v  <--  Info.plist
new revision: 1.20; previous revision: 1.19
done
Checking in MRJPlugin.plugin/Contents/MacOS/MRJPlugin;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/MacOS/MRJPlugin,v  <--  MRJPlugin
new revision: 1.21; previous revision: 1.20
done
Checking in MRJPlugin.plugin/Contents/MacOS/MRJPlugin.jar;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/MacOS/MRJPlugin.jar,v  <--  MRJPlugin.jar
new revision: 1.20; previous revision: 1.19
done
Checking in MRJPlugin.plugin/Contents/Resources/MRJPlugin.rsrc;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Resources/MRJPlugin.rsrc,v  <--  MRJPlugin.rsrc
new revision: 1.16; previous revision: 1.15
done
Checking in MRJPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings;
/cvsroot/mozilla/plugin/oji/JEP/MRJPlugin.plugin/Contents/Resources/English.lproj/InfoPlist.strings,v  <--  InfoPlist.strings
new revision: 1.20; previous revision: 1.19
done
Keywords: fixed1.9.0.12

Updated

9 years ago
Component: Java Embedding Plugin → Java (Java Embedding Plugin)
Product: Core → Plugins
Product: Plugins → Plugins Graveyard
You need to log in before you can comment on or make changes to this bug.